/* ***********************************************************************
**
**  Copyright (C) 2005 Christian Kranz
**
** Siemens S65 Display Control
*********************************************************************** */

/*
 * Нашол! В инициализации код $7f3f заменяем на $7f1f ,получаем 256 цветов. Передача команд таже , дата не 16бит один пиксель , а 16бит два пикселя.
 */

#include <stdint.h>

#ifndef _LCD_H
#define _LCD_H


#define LCD_PORT	PORTB
#define LCD_DDR		DDRB

#define LCD_PORT2	PORTD
#define LCD_DDR2	DDRD


#define LCD_RESET  PD3
#define LCD_RS	   PD2

#define SPI_SS	   PB4
#define LCD_CS	   PB4
#define LCD_MOSI   PB5
#define LCD_MISO   PB6
#define LCD_SCK    PB7


#define LCD_WIDTH	132
#define LCD_HEIGHT	176

#define LCD_X_GAP 2
#define LCD_Y_GAP 2


#ifndef LCD_ASM

 void mswait(uint16_t ms);

 void lcd_init(void);			// LCD initialise
 void lcd_clrscr(void);		// LCD power down

 void lcd_wrcmd16(uint16_t);
 void lcd_wrdat16(uint16_t);
 void lcd_wrdat16xN(uint16_t, uint16_t);
void lcd_wrdat8xN(uint8_t dat, uint16_t n);

#endif

#endif // ifndef LCD_H

